// DI_ReadValueDlg.h : header file
//

#if !defined(AFX_DI_READVALUEDLG_H__ECAD3C24_B423_4E01_9355_AF41C52307AC__INCLUDED_)
#define AFX_DI_READVALUEDLG_H__ECAD3C24_B423_4E01_9355_AF41C52307AC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDI_ReadValueDlg dialog

class CDI_ReadValueDlg : public CDialog
{
// Construction
public:
	CDI_ReadValueDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDI_ReadValueDlg)
	enum { IDD = IDD_DI_READVALUE_DIALOG };
	CButton	m_btnReadDigitalValue;
	CButton	m_btnReadCntVal;
	CButton	m_btnCntClr;
	CListBox	m_lbCounterValue;
	CListBox	m_lbModuleInfo;
	CListBox	m_lbDigiValue;
	CEdit	m_txtCntClrMsk;
	CEdit	m_txtBID;
	CComboBox	m_cbxDID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDI_ReadValueDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDI_ReadValueDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnopendevice();
	afx_msg void OnBtnclosedevice();
	afx_msg void OnBtnreaddigivalue();
	afx_msg void OnBtnreadcntvalue();
	afx_msg void OnBtncntclr();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DI_READVALUEDLG_H__ECAD3C24_B423_4E01_9355_AF41C52307AC__INCLUDED_)
